<script lang="ts">
  import Section from '~/components/Section.svelte';
</script>

<Section>
  <h2>How it works</h2>
  <h3>Create and sell your NFTs</h3>
  <div class="steps">
    <div>
      <img src="$lib/images/nft/bitcoin-wallet-4906576-4089222.png" />
      <div>
        <h4>Set Up Your Wallet</h4>
        Wallet that is functional for NFT purchasing. You may have a Coinbase account at this point,
        but very few are actually set up to buy an NFT.
      </div>
    </div>
    <div>
      <img src="$lib/images/nft/folder-6071326-5013066.webp" />
      <div>
        <h4>Create Your Collection</h4>
        Setting up your NFT collection and creating NFTs on NFTs is easy! This guide explains how to
        set up your first collection
      </div>
    </div>
    <div>
      <img src="$lib/images/nft/5331003.webp" />
      <div>
        <h4>Add Your NFTs</h4>
        Sed ut perspiciatis un de omnis iste natus error sit voluptatem accusantium doloremque laudantium,
        totam rem.
      </div>
    </div>
    <div>
      <img src="$lib/images/nft/sell-nft-5360007-4492106.png" />
      <div>
        <h4>List Them For Sale</h4>
        Choose between auctions, fixed-price listings, and declining-price listings. You choose how you
        want to sell your NFTs!
      </div>
    </div>
  </div>
</Section>

<style lang="postcss">
  section {
    margin: var(--content-margin) var(--content-margin) calc(var(--content-margin) * 3);
  }

  .steps {
    & > div {
      display: flex;
      margin-bottom: 10px;

      img {
        width: 30%;
        object-fit: scale-down;
      }

      & > div {
        padding: calc(var(--content-margin) / 2);
      }
    }
  }

  h4 {
    font-weight: bold;
  }

  @media (width >= 768px) {
    .steps {
      display: flex;
      flex-direction: row;
      gap: 10px;

      & > div {
        width: 25%;
        flex-direction: column;
        align-items: center;

        img {
          width: 50%;
          object-fit: scale-down;
        }
      }
    }
  }
</style>
